#ifndef OS_GLOBALRAM
	#define OS_GLOBALRAM

#include "OS_Define.h"
//void OS_IntialisationVariableGlobale(void);
/* information sur l'etat general */
volatile struct {										
    unsigned	InterruptionHigh:1;
    unsigned    InterruptionLow:1;
    unsigned 	Moteur:1;	
    unsigned 	temp3:1;	
    unsigned    temp4:1;
    unsigned 	temp5:1;		
    unsigned 	temp6:1;		
} GST_BIT_SystemInfo;

uchar GUC_TAB_Distance[NOMBRE_CAPTEUR_SHARP]; // utilis dans le fonction de mesure de distance par rapport au bords
// variable pour la commande de moteur
uchar GUC_MoteurDroit; // variable pour la commande de moteur
uchar GUC_MoteurGauche;	// variable pour la commande de moteur
uint GUI_Timing20ms;	// variable pour comptabilis le temps sur 20ms
uchar i;	// variable pour le rglage de l'asservissement.
// variable pour la mesure de l'acclration
uint GUI_TempsT1X;	// temps pour le crneau X
uint GUI_TempsT1Y;	// temps pour le crneau Y
uint GUI_TempsTb;	// front descendant du crneaux X
uint GUI_TempsTc; 	// front montant du crneaux Y
uint GUI_TempsTd;	// front descendant du crneaux Y
uint GUI_TempsT2; 	// variable pour le temps T2 de la priode de l'acclrometre
uchar GUC_EtatAccelerometre; // indique l'etat de l'accelerometre
short long GSL_AccelerationX;	// valeur de l'acclration sur l'axe X
short long GSL_AccelerationY;	// valeur de l'acclration sur l'axe Y
short long GSL_Acceleration ;
short long GSL_AccelerationStatiqueX;
short long GSL_AccelerationStatiqueY;

// variable pour le calcul des distances parcouru en X et en Y
short long GSL_DistanceX ;
short long GSL_VitessePrecedenteX ;
short long GSL_VitesseX ;
short long GSL_DistanceY ;
short long GSL_VitessePrecedenteY ;
short long GSL_VitesseY ;


// variable pour le labyrinthe
//uchar GUC_CelluleValeur;		// sauve le poids de la cellule en cours par rapport  la sortie
uchar GUC_Sortie;			// test pour la sortie
uchar GUC_Trouve;			// variable pour indiquer qu'on a trouv la prochaine cellule
uchar GUC_Ordre;			// variable pour la consigne de commande
uchar GUC_PositionX;		// variable pour la position dans le labyrinthe colonne du tableau
uchar GUC_PositionY;		// variable pour la position dans le labyrinthe ligne du tableau
uchar GUC_Orientation;		// mmorise l'orientation courante dans le labyrinthe
//uchar const GUC_TAB_TableauSortie[9][9];

uchar GUC_Capteur_Avant;	// indique l'tat du capteur avant 0 pas de mur  20cm, 1 mur  20cm
uchar GUC_Capteur_Arriere;	// indique l'tat du capteur avant 0 pas de mur  20cm, 1 mur  20cm
uchar GUC_Capteur_Droit;	// indique l'tat du capteur avant 0 pas de mur  20cm, 1 mur  20cm
uchar GUC_Capteur_Gauche;	// indique l'tat du capteur avant 0 pas de mur  20cm, 1 mur  20cm

// variable utili par la fonction de recherche de position dans le labyrinthe
uchar GUC_Index;
uchar GUC_Index2;
uchar GUC_Index3;
uchar GUC_Mesure1;				//premiere valeur mesure par les capteurs;
uchar GUC_Mesure2;           	// deuxieme valeur mesure par les capteurs;
uchar GUC_NbResultat;	       	// donne le nombre de rsultats trouvs.
uchar GUC_NbResultat2;      	// donne le nombre de resultats trouvs suite au premier dplacement!
uchar GUC_Avance;
uchar GUC_Recule;
uchar GUC_Droite;
uchar GUC_Gauche;
uchar GUC_Solution;         	//variable qui stocke le nombre de rsultat dans la comparaison des tableaux.
uchar GUC_Tableau1[11][5];
uchar GUC_Tableau2[11][5];
uchar GUC_Tableau3[11][5];

uchar GUC_Avancement;	// permet de rgler l'avance au timer!
uchar GUC_Recalage; 	// permet d'indiquer si on a le recalage d'actif 0=> non  1=> oui

//#pragma udata test
uchar GUC_Poids_Cellule;		// mesure du poids d'un cellule pour la recherche de sortie
uchar GUC_PoidsCellule;		// mesure du poids d'un cellule pour la conversion analogique.

//#pragma udata
#endif
